image: python:3.10-alpine

test:
  stage: test
  script:
  - pip install -U sphinx
  - pip install sphinx-autoapi
  - pip install sphinx_rtd_theme
  - sphinx-build -b html ./docs/source public
  rules:
    - if: $CI_COMMIT_REF_NAME != $CI_DEFAULT_BRANCH
    
pages:
  stage: deploy
  script:
  - pip install -U sphinx
  - pip install sphinx-autoapi
  - pip install sphinx_rtd_theme
  - sphinx-build -b html ./docs/source public
  artifacts:
    paths:
    - public
    # for testing:
  #rules:
   # - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH

